Start Classification

Initiate a new classification job with an audio file, presigned URL, YouTube URL, or m3u8 URL. The job will be processed asynchronously and the response will contain a job_name and classification_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A human-readable name for your job. Not strictly required, but highly recommended.

string
enum

If you're not uploading an audio file, you can send either a presigned URL, YouTube URL or m3u8 URL. In this case, this parameter is required. Specify a url_type from one of the following: audio_url, youtube, m3u8, and include an encoded URL in the url parameter.

Allowed:
string

If you're not uploading an audio file, you can send either a presigned URL, YouTube URL or m3u8 URL. In this case, this parameter is required. Specify a url_type and include an encoded URL for this parameter.

string

Can be one or more of the following: classify_audio, sentiment_analysis and/or clarity_scores. Add these as a comma-separated string. For example: classify_audio,sentiment_analysis,clarity_scores.

Body Params
Headers
string

A metadata object is composed of a key-value pair. To add metadata to your job, you must add X-Wordcab-Metadata-<Key> headers to your /classify request, where <Key> is a key of your choice.
This way a metadata object with the key-value pairs you initially set will be saved to your job object. By convention, Wordcab will extract anything after X-Wordcab-Metadata- (in this case, <Key>), make the string lowercase, and then convert any dashes to underscores.
For example, an X-Wordcab-Metadata-UUID key with a value of "abc", and an X-Wordcab-Metadata-User-ID key with a value of "123" will result in the following metadata object when retrieving your job: "metadata": { "uuid": "abc", "user_id": "123" }

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json